Subject: [PATCH] gnu: Add gutenprint.

From: Milan Svoboda <[email-masked]>
Date: Sat, 30 Apr 2022 13:21:21 +0200

Hello Brice,

I tried your recipe and I confirm it works. Cups can see it and use it.

I have two problems:

1) It doesn't work with my (supported) printer. I can see this error in 
dmesg when I try to print with it:

[12788.877547] traps: gutenprint.5.3[12432] general protection fault 
ip:7f6f7411b2b6 sp:7fffc79555e0 error:0 in libc-2.33.so[7f6f740c7000+141000]

2) Adding the printer it shows me two possible drivers:

Canon MP240 series - CUPS+Gutenprint v5.3.4 (en)

Canon MP240 series - CUPS+Gutenprint v5.3.4 (en, ca, cs, da, de, el, ...)

When I select the first, CUPS complains that it is 'Unable to copy PPD 
file'.

When I select the second, CUPS uses it and it seems working (except the 
issue #1).

I'll try older version, maybe that make difference in problem #1.

Milan